#include <math.h>
#ifdef _WIN32
	#include<Windows.h>
#endif
#include <stdio.h>

void main()
{
	while(1)
	{
		int N,D;
		D=1;
		printf("약수를 구할 N 값을 주세요. \n N= ");
		scanf("%d",&N);
		while(D < sqrt(N))
		{
			if(N%D==0)
				printf("%d %d ",D, N/D);
			D=D+1;
		}
		printf("\n");
	}

	system("PAUSE");
}